﻿export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: './user/Login',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  // {
  //   path: '/welcome',
  //   name: 'welcome',
  //   hideInMenu: true,
  //   icon: 'smile',
  //   component: './Welcome',
  // },
  // {
  //   path: '/admin',
  //   name: 'admin',
  //   icon: 'crown',
  //   access: 'canAdmin',
  //   component: './Admin',
  //   routes: [
  //     {
  //       path: '/admin/sub-page',
  //       name: 'sub-page',
  //       icon: 'smile',
  //       component: './Welcome',
  //     },
  //     {
  //       component: './404',
  //     },
  //   ],
  // },
  // {
  //   name: 'list.table-list',
  //   icon: 'table',
  //   path: '/list',
  //   component: './TableList',
  // },
  {
    path: '/QuestionBankManage',
    name: '题库',
    icon: 'smile',
    access: 'canAdmin',
    routes: [
      {
        path: '/QuestionBankManage/question-bank',
        name: '学段',
        icon: 'smile',
        component: './QuestionBankManage/QuestionBank/index',
      },
      {
        path: '/QuestionBankManage/question-card',
        name: '题卡',
        icon: 'smile',
        component: './QuestionBankManage/QuestionCard/index',
      },
      {
        path: '/QuestionBankManage/question-book',
        name: '教材',
        icon: 'smile',
        component: './QuestionBankManage/QuestionBook/index',
      },
      {
        path: '/QuestionBankManage/opration-card',
        name: '创建题卡',
        icon: 'smile',
        hideInMenu: true,
        component: './QuestionBankManage',
      },
      // {
      //   path: '/QuestionBankManage/Ability',
      //   name: '能力点',
      //   icon: 'smile',
      //   component: './Ability',
      // },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
